#ifndef SOUNDCONTROL_CLASS_H
#define SOUNDCONTROL_CLASS_H

#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"
#include <stdio.h>

class SoundControl {

 public:
  static SoundControl* getInstance();
  static void deleteInstance();
  void setNumberOfChannels(int number_of_channels);
  int playMod(char* filename);
  int playWav(char* filename);
  int playOgg(char* filename);
  void volumeUp();
  void volumeDown();
  void trackRewind();
  void forwardMusic();
  void rewindMusic();
  void pauseMusic();
  void resumeMusic();
  void trackSelect();
  static void musicDone();

protected:
  void initialise();
  SoundControl();
  ~SoundControl();

private:
  static SoundControl* instance;
};

#endif
